Files : rc ->
Arg Result : &Array : String,
    Path, Mask : String

- List >Names< Rq 
' Rq = Path '/' Mask

Do get Name from Names
 If Name, IS_DIRECTORY then
  - Files >Result< Name Mask
 Else
  - F >Result< Name
 ;
;

/

F Files ->
Arg Result : &Array : String,
    Name : String    

...

/

List Files = FilesIn ? ( N : 
                             ?(Names : List : String) .= N 
                       )